Subject: Re: bug#30701: [PATCH 1/3] services: Rework the PostgreSQL config file to use a record type.

From: Christopher Baines <[email-masked]>
Date: Sat, 17 Mar 2018 20:35:03 +0000

Clément Lassieur <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> Sorry, I made some changes, and merged these patches on the weekend, but
>> I forgot to reply.
>
> [...]
>
>>>> +        `(("log_destination" ,@(with-single-quotes log-destination))
>>>> +          ("hba_file" ,@(with-single-quotes hba-file))
>>>> +          ("ident_file" ,@(with-single-quotes ident-file))
>>>                                     ^
>>> Could you please use a shorter name?  Like "enclose", so that we won't
>>> go over 80 columns too easily :-).
>>
>> I went with quote' as I think that works well.
>
> I don't like it because:
>
>   • The extra \' doesn't help describing what the function does.  One
>     could believe it's a variant of 'quote', but it's actually very
>     different.
>
>   • It doesn't follow our coding style.  See
>     https://mumble.net/~campbell/scheme/style.txt.  "Symbolic names are
>     written with English words separated by hyphens."  See also the part
>     about "Funny Characters".

Fair enough, I've changed it to single-quote in
533808383f7fca6563aee1452f5202e0cd1b66b8.